Bug 71397 - [llvmpipe] configure: error: Package requirements (dri3proto >= 1.0) were not met
Summary: [llvmpipe] configure: error: Package requirements (dri3proto >= 1.0) were not...
Status: RESOLVED NOTABUG
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium blocker
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-11-08 19:27 UTC by Vinson Lee
Modified: 2016-03-31 10:40 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
v2 --disable-dri3 Patch (5.30 KB, patch)
2013-11-08 22:25 UTC, Aaron Watry
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2013-11-08 19:27:01 UTC
mesa: f41c01c68847a2d3df8f3c8786ef803428a0be13 (master)

$ ./autogen.sh --with-dri-drivers= --with-gallium-drivers=swrast
[...]
checking for DRI2PROTO... yes
checking for DRI3PROTO... no
configure: error: Package requirements (dri3proto >= 1.0) were not met:

No package 'dri3proto' found



commit 2d94601582e4f0fcaf8c02a15b23cba39dec7bb1
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Nov 4 18:15:51 2013 -0800

    Add DRI3+Present loader
    
    Uses the __DRIimage loader interfaces.
    
    v2: Fix _XIOErrors when DRI3 isn't present (change by anholt).  Apparently
        XCB just terminates your connection if you don't check for extensions
        before using them, instead of returning an error like you'd expect.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Kristian Høgsberg <krh@bitplanet.net>
    Reviewed-by: Eric Anholt <eric@anholt.net>
Comment 1 Armin K 2013-11-08 21:42:25 UTC
Does http://lists.freedesktop.org/archives/mesa-dev/2013-November/048072.html fix your issue? Note that you have to use --disable-dri3
Comment 2 Aaron Watry 2013-11-08 22:25:30 UTC
Created attachment 88912 [details] [review]
v2 --disable-dri3 Patch

I had to use the modified version of the original that I attached here.
Comment 3 Chris Rankin 2013-11-09 17:26:36 UTC
I've just tested this with the following command line:

$ autogen.sh --prefix=/usr/local --libdir=/usr/local/lib64 --with-gallium-drivers=r600 --with-llvm-shared-libs --with-dri-drivers= --enable-texture-float --enable-64-bit --disable-dri3

Success!
Comment 4 Hi-Angel 2016-03-31 10:15:57 UTC
On Ubuntu «sudo apt-get build-dep libegl1-mesa» fixed the problem. Here's the list of installed packages, so that people from other distros could figure out what are they probably need: 

libmirprotobuf0 libelf-dev libprotobuf-lite8 libprotobuf-dev libmirprotobuf-dev mircommon-dev libvdpau-dev x11proto-dri3-dev:all 1.0-1 x11proto-present-dev:all 1.0-1 libmirclient7 libmirclient-dev libmirclientplatform-mesa libc-bin

> Does http://lists.freedesktop.org/archives/mesa-dev/2013-November/048072.html
> fix your issue? Note that you have to use --disable-dri3

Oh, c'mon, how could anyone seriously choose that as a solution?? First I stumbled upon just that mailing list, and I were almost sure it is a mockery — the more surpise to me that the OP accepted it. Let me explain if that is unclear: the mentioned switch forces usage of a previous DRI version instead of DRI3, you almost definitely don't want this.


bug/show.html.tmpl processed on May 26, 2016 at 20:19:43.
(provided by the Example extension).